@if (componentData; as componentData) {
  <div
    class="full-width flex-row m-b-15"
    [attr.data-test-field-id]="'campaign-progression'"
  >
    <sqtm-core-label
      class="m-r-5"
      [text]="'sqtm-core.campaign-workspace.progression.label' | translate"
    >
    </sqtm-core-label>
    <span class="field-value-color campaign-statistics-ratio">{{
      getCampaignProgression()
    }}</span>
    <span class="m-r-5">%</span>
    <span
      [attr.data-test-field-id]="'campaign-ratio'"
      class="field-value-color"
      >{{ displayCampaignProgression() }}</span
    >
  </div>
  <div
    style="justify-content: stretch"
    class="flex-row"
    style="row-gap: 10px; align-items: center"
  >
    @for (stat of getStatusStats(); track stat) {
      <div class="flex-column" style="flex-grow: 1">
        <div
          class="campaign-statistics-header text-ellipsis"
          nz-tooltip
          [sqtmCoreLabelTooltip]="stat.label | translate"
        >
          {{ stat.label | translate }}
        </div>
        <div class="campaign-statistics-row">{{ stat.value }}</div>
      </div>
    }
  </div>
}
